Bug 465396 - [5.3] makedumpfile: Can't get necessary symbols for excluding free pages.
[5.3] makedumpfile: Can't get necessary symbols for excluding free pages.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
ppc64 Linux
medium Severity medium
: rc
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks: 611710
  Show dependency treegraph
 
Reported: 2008-10-03 01:00 EDT by CAI Qian
Modified: 2010-07-06 05:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 611710 (view as bug list)
Environment:
Last Closed: 2009-01-20 15:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace (110.31 KB, text/plain)
2008-10-03 01:01 EDT, CAI Qian
no flags Details
debug output from makedumpfile (48.71 KB, text/plain)
2008-10-03 03:15 EDT, CAI Qian
no flags Details
patch to add needed symbols to vmcoreinfo for ppc64 (795 bytes, patch)
2008-10-08 14:32 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description CAI Qian 2008-10-03 01:00:48 EDT
Description of problem:
The following command failed,

# makedumpfile -d 16 vmcore vmcore.d16
exclude_free_page: Can't get necessary symbols for excluding free pages.

makedumpfile Failed.

RHEL 5.2 version of kexec-tools has the same problem. This is only happened for ppc64 machines.

Version-Release number of selected component (if applicable):
kexec-1.102pre-44.el5
kernel-2.6.18-117.el5

How reproducible:
always

Steps to Reproduce:
1. makedumpfile -d 16 vmcore vmcore.d16
  
Actual results:
Failed to create vmcore.d16.

Expected results:
Successfully created vmcore.d16.
Comment 1 CAI Qian 2008-10-03 01:01:36 EDT
Created attachment 319311 [details]
strace
Comment 2 CAI Qian 2008-10-03 01:08:30 EDT
Other options work fine.

-c
-d 1
-d 2
-d 4
-d 8

In addition, the vmcore looks right, as crash utility could analyse it properly.
Comment 4 CAI Qian 2008-10-03 02:57:57 EDT
- output from readelf

[root@ibm-js21-01 127.0.0.1-2008-10-02-23:07:35]# readelf -a vmcore
ELF Header:
  Magic:   7f 45 4c 46 02 02 01 00 00 00 00 00 00 00 00 00 
  Class:                             ELF64
  Data:                              2's complement, big endian
  Version:                           1 (current)
  OS/ABI:                            UNIX - System V
  ABI Version:                       0
  Type:                              CORE (Core file)
  Machine:                           PowerPC64
  Version:                           0x1
  Entry point address:               0x0
  Start of program headers:          64 (bytes into file)
  Start of section headers:          0 (bytes into file)
  Flags:                             0x0
  Size of this header:               64 (bytes)
  Size of program headers:           56 (bytes)
  Number of program headers:         234
  Size of section headers:           0 (bytes)
  Number of section headers:         0
  Section header string table index: 0

There are no sections in this file.

There are no sections in this file.

Program Headers:
  Type           Offset             VirtAddr           PhysAddr
                 FileSiz            MemSiz              Flags  Align
  NOTE           0x0000000000003370 0x0000000000000000 0x0000000000000000
                 0x00000000000007b8 0x00000000000007b8         0
  LOAD           0x0000000000003b28 0xc000000000000000 0x0000000000000000
                 0x0000000000010000 0x0000000000010000  RWE    0
  LOAD           0x0000000000013b28 0xc0000000f7000000 0x00000000f7000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000001013b28 0xc0000000f6000000 0x00000000f6000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000002013b28 0xc0000000f5000000 0x00000000f5000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000003013b28 0xc0000000f4000000 0x00000000f4000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000004013b28 0xc0000000f3000000 0x00000000f3000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000005013b28 0xc0000000f2000000 0x00000000f2000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000006013b28 0xc0000000f1000000 0x00000000f1000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000007013b28 0xc0000000f0000000 0x00000000f0000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000008013b28 0xc0000000ef000000 0x00000000ef000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000009013b28 0xc0000000ee000000 0x00000000ee000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000000a013b28 0xc0000000ed000000 0x00000000ed000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000000b013b28 0xc0000000ec000000 0x00000000ec000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000000c013b28 0xc0000000eb000000 0x00000000eb000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000000d013b28 0xc0000000ea000000 0x00000000ea000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000000e013b28 0xc0000000e9000000 0x00000000e9000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000000f013b28 0xc0000000e8000000 0x00000000e8000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000010013b28 0xc0000000e7000000 0x00000000e7000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000011013b28 0xc0000000e6000000 0x00000000e6000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000012013b28 0xc0000000e5000000 0x00000000e5000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000013013b28 0xc0000000e4000000 0x00000000e4000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000014013b28 0xc0000000e3000000 0x00000000e3000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000015013b28 0xc0000000e2000000 0x00000000e2000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000016013b28 0xc0000000e1000000 0x00000000e1000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000017013b28 0xc0000000e0000000 0x00000000e0000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000018013b28 0xc0000000df000000 0x00000000df000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000019013b28 0xc0000000de000000 0x00000000de000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000001a013b28 0xc0000000dd000000 0x00000000dd000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000001b013b28 0xc0000000dc000000 0x00000000dc000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000001c013b28 0xc0000000db000000 0x00000000db000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000001d013b28 0xc0000000da000000 0x00000000da000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000001e013b28 0xc0000000d9000000 0x00000000d9000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000001f013b28 0xc0000000d8000000 0x00000000d8000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000020013b28 0xc0000000d7000000 0x00000000d7000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000021013b28 0xc0000000d6000000 0x00000000d6000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000022013b28 0xc0000000d5000000 0x00000000d5000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000023013b28 0xc0000000d4000000 0x00000000d4000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000024013b28 0xc0000000d3000000 0x00000000d3000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000025013b28 0xc0000000d2000000 0x00000000d2000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000026013b28 0xc0000000d1000000 0x00000000d1000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000027013b28 0xc0000000d0000000 0x00000000d0000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000028013b28 0xc0000000cf000000 0x00000000cf000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000029013b28 0xc0000000ce000000 0x00000000ce000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000002a013b28 0xc0000000cd000000 0x00000000cd000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000002b013b28 0xc0000000cc000000 0x00000000cc000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000002c013b28 0xc0000000cb000000 0x00000000cb000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000002d013b28 0xc0000000ca000000 0x00000000ca000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000002e013b28 0xc0000000c9000000 0x00000000c9000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000002f013b28 0xc0000000c8000000 0x00000000c8000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000030013b28 0xc0000000c7000000 0x00000000c7000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000031013b28 0xc0000000c6000000 0x00000000c6000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000032013b28 0xc0000000c5000000 0x00000000c5000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000033013b28 0xc0000000c4000000 0x00000000c4000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000034013b28 0xc0000000c3000000 0x00000000c3000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000035013b28 0xc0000000c2000000 0x00000000c2000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000036013b28 0xc0000000c1000000 0x00000000c1000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000037013b28 0xc0000000c0000000 0x00000000c0000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000038013b28 0xc0000000bf000000 0x00000000bf000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000039013b28 0xc0000000be000000 0x00000000be000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000003a013b28 0xc0000000bd000000 0x00000000bd000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000003b013b28 0xc0000000bc000000 0x00000000bc000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000003c013b28 0xc0000000bb000000 0x00000000bb000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000003d013b28 0xc0000000ba000000 0x00000000ba000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000003e013b28 0xc0000000b9000000 0x00000000b9000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000003f013b28 0xc0000000b8000000 0x00000000b8000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000040013b28 0xc0000000b7000000 0x00000000b7000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000041013b28 0xc0000000b6000000 0x00000000b6000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000042013b28 0xc0000000b5000000 0x00000000b5000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000043013b28 0xc0000000b4000000 0x00000000b4000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000044013b28 0xc0000000b3000000 0x00000000b3000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000045013b28 0xc0000000b2000000 0x00000000b2000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000046013b28 0xc0000000b1000000 0x00000000b1000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000047013b28 0xc0000000b0000000 0x00000000b0000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000048013b28 0xc0000000af000000 0x00000000af000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000049013b28 0xc0000000ae000000 0x00000000ae000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000004a013b28 0xc0000000ad000000 0x00000000ad000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000004b013b28 0xc0000000ac000000 0x00000000ac000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000004c013b28 0xc0000000ab000000 0x00000000ab000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000004d013b28 0xc0000000aa000000 0x00000000aa000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000004e013b28 0xc0000000a9000000 0x00000000a9000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000004f013b28 0xc0000000a8000000 0x00000000a8000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000050013b28 0xc0000000a7000000 0x00000000a7000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000051013b28 0xc0000000a6000000 0x00000000a6000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000052013b28 0xc0000000a5000000 0x00000000a5000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000053013b28 0xc0000000a4000000 0x00000000a4000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000054013b28 0xc0000000a3000000 0x00000000a3000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000055013b28 0xc0000000a2000000 0x00000000a2000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000056013b28 0xc0000000a1000000 0x00000000a1000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000057013b28 0xc0000000a0000000 0x00000000a0000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000058013b28 0xc00000009f000000 0x000000009f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000059013b28 0xc00000009e000000 0x000000009e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000005a013b28 0xc00000009d000000 0x000000009d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000005b013b28 0xc00000009c000000 0x000000009c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000005c013b28 0xc00000009b000000 0x000000009b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000005d013b28 0xc00000009a000000 0x000000009a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000005e013b28 0xc000000099000000 0x0000000099000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000005f013b28 0xc000000098000000 0x0000000098000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000060013b28 0xc000000097000000 0x0000000097000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000061013b28 0xc000000096000000 0x0000000096000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000062013b28 0xc000000095000000 0x0000000095000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000063013b28 0xc000000094000000 0x0000000094000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000064013b28 0xc000000093000000 0x0000000093000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000065013b28 0xc000000092000000 0x0000000092000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000066013b28 0xc000000091000000 0x0000000091000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000067013b28 0xc000000090000000 0x0000000090000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000068013b28 0xc00000008f000000 0x000000008f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000069013b28 0xc00000008e000000 0x000000008e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000006a013b28 0xc00000008d000000 0x000000008d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000006b013b28 0xc00000008c000000 0x000000008c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000006c013b28 0xc00000008b000000 0x000000008b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000006d013b28 0xc00000008a000000 0x000000008a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000006e013b28 0xc000000089000000 0x0000000089000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000006f013b28 0xc000000088000000 0x0000000088000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000070013b28 0xc000000087000000 0x0000000087000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000071013b28 0xc000000086000000 0x0000000086000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000072013b28 0xc000000085000000 0x0000000085000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000073013b28 0xc000000084000000 0x0000000084000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000074013b28 0xc000000083000000 0x0000000083000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000075013b28 0xc000000082000000 0x0000000082000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000076013b28 0xc000000081000000 0x0000000081000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000077013b28 0xc000000080000000 0x0000000080000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000078013b28 0xc00000007f000000 0x000000007f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000079013b28 0xc00000007e000000 0x000000007e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000007a013b28 0xc00000007d000000 0x000000007d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000007b013b28 0xc00000007c000000 0x000000007c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000007c013b28 0xc00000007b000000 0x000000007b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000007d013b28 0xc00000007a000000 0x000000007a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000007e013b28 0xc000000079000000 0x0000000079000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000007f013b28 0xc000000078000000 0x0000000078000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000080013b28 0xc000000077000000 0x0000000077000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000081013b28 0xc000000076000000 0x0000000076000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000082013b28 0xc000000075000000 0x0000000075000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000083013b28 0xc000000074000000 0x0000000074000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000084013b28 0xc000000073000000 0x0000000073000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000085013b28 0xc000000072000000 0x0000000072000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000086013b28 0xc000000071000000 0x0000000071000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000087013b28 0xc000000070000000 0x0000000070000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000088013b28 0xc00000006f000000 0x000000006f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000089013b28 0xc00000006e000000 0x000000006e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000008a013b28 0xc00000006d000000 0x000000006d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000008b013b28 0xc00000006c000000 0x000000006c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000008c013b28 0xc00000006b000000 0x000000006b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000008d013b28 0xc00000006a000000 0x000000006a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000008e013b28 0xc000000069000000 0x0000000069000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000008f013b28 0xc000000068000000 0x0000000068000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000090013b28 0xc000000067000000 0x0000000067000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000091013b28 0xc000000066000000 0x0000000066000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000092013b28 0xc000000065000000 0x0000000065000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000093013b28 0xc000000064000000 0x0000000064000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000094013b28 0xc000000063000000 0x0000000063000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000095013b28 0xc000000062000000 0x0000000062000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000096013b28 0xc000000061000000 0x0000000061000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000097013b28 0xc000000060000000 0x0000000060000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000098013b28 0xc00000005f000000 0x000000005f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x0000000099013b28 0xc00000005e000000 0x000000005e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000009a013b28 0xc00000005d000000 0x000000005d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000009b013b28 0xc00000005c000000 0x000000005c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000009c013b28 0xc00000005b000000 0x000000005b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000009d013b28 0xc00000005a000000 0x000000005a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000009e013b28 0xc000000059000000 0x0000000059000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x000000009f013b28 0xc000000058000000 0x0000000058000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a0013b28 0xc000000057000000 0x0000000057000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a1013b28 0xc000000056000000 0x0000000056000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a2013b28 0xc000000055000000 0x0000000055000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a3013b28 0xc000000054000000 0x0000000054000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a4013b28 0xc000000053000000 0x0000000053000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a5013b28 0xc000000052000000 0x0000000052000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a6013b28 0xc000000051000000 0x0000000051000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a7013b28 0xc000000050000000 0x0000000050000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a8013b28 0xc00000004f000000 0x000000004f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000a9013b28 0xc00000004e000000 0x000000004e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000aa013b28 0xc00000004d000000 0x000000004d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000ab013b28 0xc00000004c000000 0x000000004c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000ac013b28 0xc00000004b000000 0x000000004b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000ad013b28 0xc00000004a000000 0x000000004a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000ae013b28 0xc000000049000000 0x0000000049000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000af013b28 0xc000000048000000 0x0000000048000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b0013b28 0xc000000047000000 0x0000000047000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b1013b28 0xc000000046000000 0x0000000046000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b2013b28 0xc000000045000000 0x0000000045000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b3013b28 0xc000000044000000 0x0000000044000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b4013b28 0xc000000043000000 0x0000000043000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b5013b28 0xc000000042000000 0x0000000042000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b6013b28 0xc000000041000000 0x0000000041000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b7013b28 0xc000000040000000 0x0000000040000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b8013b28 0xc00000003f000000 0x000000003f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000b9013b28 0xc00000003e000000 0x000000003e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000ba013b28 0xc00000003d000000 0x000000003d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000bb013b28 0xc00000003c000000 0x000000003c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000bc013b28 0xc00000003b000000 0x000000003b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000bd013b28 0xc00000003a000000 0x000000003a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000be013b28 0xc000000039000000 0x0000000039000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000bf013b28 0xc000000038000000 0x0000000038000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c0013b28 0xc000000037000000 0x0000000037000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c1013b28 0xc000000036000000 0x0000000036000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c2013b28 0xc000000035000000 0x0000000035000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c3013b28 0xc000000034000000 0x0000000034000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c4013b28 0xc000000033000000 0x0000000033000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c5013b28 0xc000000032000000 0x0000000032000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c6013b28 0xc000000031000000 0x0000000031000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c7013b28 0xc000000030000000 0x0000000030000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c8013b28 0xc00000002f000000 0x000000002f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000c9013b28 0xc00000002e000000 0x000000002e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000ca013b28 0xc00000002d000000 0x000000002d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000cb013b28 0xc00000002c000000 0x000000002c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000cc013b28 0xc00000002b000000 0x000000002b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000cd013b28 0xc00000002a000000 0x000000002a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000ce013b28 0xc000000029000000 0x0000000029000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000cf013b28 0xc000000028000000 0x0000000028000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d0013b28 0xc000000027000000 0x0000000027000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d1013b28 0xc000000026000000 0x0000000026000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d2013b28 0xc000000025000000 0x0000000025000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d3013b28 0xc000000024000000 0x0000000024000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d4013b28 0xc000000023000000 0x0000000023000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d5013b28 0xc000000022000000 0x0000000022000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d6013b28 0xc000000021000000 0x0000000021000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d7013b28 0xc000000020000000 0x0000000020000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d8013b28 0xc00000001f000000 0x000000001f000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000d9013b28 0xc00000001e000000 0x000000001e000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000da013b28 0xc00000001d000000 0x000000001d000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000db013b28 0xc00000001c000000 0x000000001c000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000dc013b28 0xc00000001b000000 0x000000001b000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000dd013b28 0xc00000001a000000 0x000000001a000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000de013b28 0xc000000019000000 0x0000000019000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000df013b28 0xc000000018000000 0x0000000018000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000e0013b28 0xc000000017000000 0x0000000017000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000e1013b28 0xc000000016000000 0x0000000016000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000e2013b28 0xc000000015000000 0x0000000015000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000e3013b28 0xc000000014000000 0x0000000014000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000e4013b28 0xc000000013000000 0x0000000013000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000e5013b28 0xc000000012000000 0x0000000012000000
                 0x0000000001000000 0x0000000001000000  RWE    0
  LOAD           0x00000000e6013b28 0xc000000000010000 0x0000000000010000
                 0x0000000001ff0000 0x0000000001ff0000  RWE    0
  LOAD           0x00000000e8003b28 0xc0000000075a0000 0x00000000075a0000
                 0x0000000000a60000 0x0000000000a60000  RWE    0

There is no dynamic section in this file.

There are no relocations in this file.

There are no unwind sections in this file.

No version information found in this file.

Notes at offset 0x00003370 with length 0x000007b8:
  Owner		Data size	Description
  CORE		0x000001f8	NT_PRSTATUS (prstatus structure)
  CORE		0x000001f8	NT_PRSTATUS (prstatus structure)
  VMCOREINFO		0x00000385	Unknown note type: (0x00000000)
Comment 5 CAI Qian 2008-10-03 03:15:46 EDT
Created attachment 319326 [details]
debug output from makedumpfile
Comment 6 Neil Horman 2008-10-03 10:20:02 EDT
Ok, this looks pretty straightforward.  Do me a favor, and confirm that  this works on x86, and I should be able to fix this pretty quick.  Thanks!
Comment 7 CAI Qian 2008-10-05 21:29:58 EDT
Yes, it works on x86.
Comment 9 RHEL Product and Program Management 2008-10-08 07:07:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Neil Horman 2008-10-08 14:32:12 EDT
Created attachment 319777 [details]
patch to add needed symbols to vmcoreinfo for ppc64

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=1512328

The above is a ppc64 test kernel I'm building for this bug, including the above patch. it should add the needed symbols to vmcoreinfo to make makedumpfile work properly.

Note to self:  Looks like this is an upstream problem as well, and we will need to send this up.
Comment 11 Neil Horman 2008-10-08 14:34:14 EDT
Cai, if you would please test the above and confirm it fixes the problem, I'd appreciate it.  Thanks!
Comment 12 CAI Qian 2008-10-09 02:46:08 EDT
Yes, makedumpfile -d 16 works, and I could analyse the generated file without problem. Thanks! The only question is,

  +	SYMBOL(contig_page_data);

should this be "config_page_data"?
Comment 13 Neil Horman 2008-10-09 10:12:39 EDT
Nope, the symbol is contig_page_data.  It tracks discontiguous memory use.  I'll post shortly.  Thanks!
Comment 14 Neil Horman 2008-10-09 11:15:17 EDT
sent upstream to lkml & kexec lists.
Comment 16 Don Zickus 2008-10-29 12:18:32 EDT
in kernel-2.6.18-121.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 20 errata-xmlrpc 2009-01-20 15:18:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.